Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004679 [JEDI VCL] 00 JVCL Components feature always 2009-01-29 05:15 2009-07-08 15:21
Reporter ils View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.36
Summary 0004679: ?? ???????????????? ?????? ????????? ? JvCheckedComboBox
Description ????? ???????? ItemEnabled[] ? ???????? ??????, ?? ??????????? ?? ??????????.
????????? ???????? ????? Change:

procedure TJvCustomCheckedComboBox.Change;
begin
  if not FIgnoreChange then
  begin
    DoChange;
    FListBox.Refresh;
  end;
end;

Additional Information
Tags No tags attached.
Attached Files zip file icon CheckedComboBox_Bug.zip [^] (1,367 bytes) 2009-04-29 12:08

- Relationships

-  Notes
(0015268)
obones (administrator)
2009-01-29 05:56

Please post in ENGLISH, we cannot see your message properly, much less understand it.
(0015269)
ils (reporter)
2009-01-29 06:17

When I change ItemEnabled[] property, CustomCheckedBox needs to be repainted. I did it this way:

procedure TJvCustomCheckedComboBox.Change;
begin
  if not FIgnoreChange then
  begin
    DoChange;
    FListBox.Refresh;
  end;
end;
(0015444)
obones (administrator)
2009-04-29 11:41

Could you provide the zipped sources of a sample application showing which problem you are trying to solve?
(0015456)
ils (reporter)
2009-04-29 12:11

Project uploaded.

You have to mark the first item in checkbox's list. All other items must change their states to unmarked and disabled state. They do it but didn't repainted.
As I see the list have to be repainted as soon as its items' state changed.
(0015784)
obones (administrator)
2009-07-08 15:21

Thanks, this is now in SVN.

- Issue History
Date Modified Username Field Change
2009-01-29 05:15 ils New Issue
2009-01-29 05:56 obones Note Added: 0015268
2009-01-29 05:56 obones Status new => feedback
2009-01-29 06:17 ils Note Added: 0015269
2009-04-29 11:41 obones Note Added: 0015444
2009-04-29 12:08 ils File Added: CheckedComboBox_Bug.zip
2009-04-29 12:11 ils Note Added: 0015456
2009-07-06 14:08 obones Status feedback => acknowledged
2009-07-08 15:21 obones Note Added: 0015784
2009-07-08 15:21 obones Status acknowledged => resolved
2009-07-08 15:21 obones Fixed in Version => Daily / SVN
2009-07-08 15:21 obones Resolution open => fixed
2009-07-08 15:21 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker